// Parallel Simulated Annealing
// for the Set-partitioning Problem
// Mateusz Styrczula, Michał Kraszewski
// 13.01.2009



#ifndef __CUSTOMER_H_
#define __CUSTOMER_H_ 1



#include <list>



namespace PSASP {



// ...
class Customer {

    public:

        // ...
        int x, y;

        
 
        // ...
        Customer (int x, int y);
        
        // ...
        Customer (const Customer &c);

        // ...
        const Customer &operator= (const Customer &c);
        
        // ...
        double distance (const Customer &c) const;
        
        // ...
        void exchange (Customer &c);

        // ...
        friend bool operator== (const Customer &l, const Customer &r);
       
};



// ...
inline double sqr (double a) { return a * a; }



} // end namespace PSASP



#endif
